Send Developer Conversation Message
/api/v1/developer/messaging/conversations/{conversationId}/messagesHTTP success does not prove delivery. Inspect message deliveryStatus and attempt status; pending or retrying remain unconfirmed.
Access scopemessaging.write
Authorization: Bearer YOUR_PROJECT_TOKEN
Parameters
conversationIdrequired · pathstringformat: "uuid"JSON Schema
{ "type": "string", "format": "uuid" }idempotency-keyrequired · headerstringpattern: "^[\\x21-\\x7E]+$" · minLength: 1 · maxLength: 160JSON Schema
{ "type": "string", "minLength": 1, "maxLength": 160, "pattern": "^[\\x21-\\x7E]+$" }
Request body
application/jsonobject
textrequired- stringminLength: 1 · maxLength: 4096
expectedProjectId- stringminLength: 1 · maxLength: 160
JSON Schema
{
"type": "object",
"properties": {
"text": {
"type": "string",
"minLength": 1,
"maxLength": 4096
},
"expectedProjectId": {
"type": "string",
"minLength": 1,
"maxLength": 160
}
},
"required": [
"text"
],
"additionalProperties": false
}Request examples
curl --request POST 'https://YOUR_NOVA_HOST/api/v1/developer/messaging/conversations/CONVERSATION_ID/messages' --header 'Authorization: Bearer YOUR_PROJECT_TOKEN' --header 'Idempotency-Key: YOUR_UNIQUE_COMMAND_ID' --header 'Content-Type: application/json' --data '{"text":"Тест интеграции ERP"}'Responses
200 Exact delivery receipt
application/jsonobject
projectIdrequired- string
conversationIdrequired- stringformat: "uuid"
idempotencyKeyrequired- string
duplicaterequired- boolean
messagerequired- object
Nested schema
objectidrequired- string
sourceIdrequired- string
providerTyperequired- string
deliveryStatusrequired- string
JSON Schema
{ "type": "object", "properties": { "id": { "type": "string" }, "sourceId": { "type": "string" }, "providerType": { "type": "string" }, "deliveryStatus": { "type": "string" } }, "required": [ "id", "sourceId", "providerType", "deliveryStatus" ] } attemptrequired- object
Nested schema
objectidrequired- string
statusrequired- string
JSON Schema
{ "type": "object", "properties": { "id": { "type": "string" }, "status": { "type": "string" } }, "required": [ "id", "status" ] }
JSON Schema
{
"type": "object",
"properties": {
"projectId": {
"type": "string"
},
"conversationId": {
"type": "string",
"format": "uuid"
},
"idempotencyKey": {
"type": "string"
},
"duplicate": {
"type": "boolean"
},
"message": {
"type": "object",
"properties": {
"id": {
"type": "string"
},
"sourceId": {
"type": "string"
},
"providerType": {
"type": "string"
},
"deliveryStatus": {
"type": "string"
}
},
"required": [
"id",
"sourceId",
"providerType",
"deliveryStatus"
]
},
"attempt": {
"type": "object",
"properties": {
"id": {
"type": "string"
},
"status": {
"type": "string"
}
},
"required": [
"id",
"status"
]
}
},
"required": [
"projectId",
"conversationId",
"idempotencyKey",
"duplicate",
"message",
"attempt"
],
"$ref": "#/components/schemas/DeveloperMessagingSendResponse"
}400 Invalid command or project
application/problem+jsonobject
type- stringformat: "uri" · default: "about:blank"
titlerequired- string
statusrequired- integerminimum: 100 · maximum: 599
detail- string
instance- string
errors- object
JSON Schema
{
"type": "object",
"properties": {
"type": {
"type": "string",
"format": "uri",
"default": "about:blank"
},
"title": {
"type": "string"
},
"status": {
"type": "integer",
"minimum": 100,
"maximum": 599
},
"detail": {
"type": "string"
},
"instance": {
"type": "string"
},
"errors": {
"type": "object",
"additionalProperties": {}
}
},
"required": [
"title",
"status"
]
}401 Invalid credential
application/problem+jsonobject
type- stringformat: "uri" · default: "about:blank"
titlerequired- string
statusrequired- integerminimum: 100 · maximum: 599
detail- string
instance- string
errors- object
JSON Schema
{
"type": "object",
"properties": {
"type": {
"type": "string",
"format": "uri",
"default": "about:blank"
},
"title": {
"type": "string"
},
"status": {
"type": "integer",
"minimum": 100,
"maximum": 599
},
"detail": {
"type": "string"
},
"instance": {
"type": "string"
},
"errors": {
"type": "object",
"additionalProperties": {}
}
},
"required": [
"title",
"status"
]
}403 Module unavailable
application/problem+jsonobject
type- stringformat: "uri" · default: "about:blank"
titlerequired- string
statusrequired- integerminimum: 100 · maximum: 599
detail- string
instance- string
errors- object
JSON Schema
{
"type": "object",
"properties": {
"type": {
"type": "string",
"format": "uri",
"default": "about:blank"
},
"title": {
"type": "string"
},
"status": {
"type": "integer",
"minimum": 100,
"maximum": 599
},
"detail": {
"type": "string"
},
"instance": {
"type": "string"
},
"errors": {
"type": "object",
"additionalProperties": {}
}
},
"required": [
"title",
"status"
]
}404 Conversation not found
application/problem+jsonobject
type- stringformat: "uri" · default: "about:blank"
titlerequired- string
statusrequired- integerminimum: 100 · maximum: 599
detail- string
instance- string
errors- object
JSON Schema
{
"type": "object",
"properties": {
"type": {
"type": "string",
"format": "uri",
"default": "about:blank"
},
"title": {
"type": "string"
},
"status": {
"type": "integer",
"minimum": 100,
"maximum": 599
},
"detail": {
"type": "string"
},
"instance": {
"type": "string"
},
"errors": {
"type": "object",
"additionalProperties": {}
}
},
"required": [
"title",
"status"
]
}409 Idempotency or provider conflict
application/problem+jsonobject
type- stringformat: "uri" · default: "about:blank"
titlerequired- string
statusrequired- integerminimum: 100 · maximum: 599
detail- string
instance- string
errors- object
JSON Schema
{
"type": "object",
"properties": {
"type": {
"type": "string",
"format": "uri",
"default": "about:blank"
},
"title": {
"type": "string"
},
"status": {
"type": "integer",
"minimum": 100,
"maximum": 599
},
"detail": {
"type": "string"
},
"instance": {
"type": "string"
},
"errors": {
"type": "object",
"additionalProperties": {}
}
},
"required": [
"title",
"status"
]
}429 Ingress rate limit exceeded
application/problem+jsonobject
type- stringformat: "uri" · default: "about:blank"
titlerequired- string
statusrequired- integerminimum: 100 · maximum: 599
detail- string
instance- string
errors- object
JSON Schema
{
"type": "object",
"properties": {
"type": {
"type": "string",
"format": "uri",
"default": "about:blank"
},
"title": {
"type": "string"
},
"status": {
"type": "integer",
"minimum": 100,
"maximum": 599
},
"detail": {
"type": "string"
},
"instance": {
"type": "string"
},
"errors": {
"type": "object",
"additionalProperties": {}
}
},
"required": [
"title",
"status"
],
"$ref": "#/components/schemas/ProblemDetails"
}503 Provider outcome unknown
application/problem+jsonobject
type- stringformat: "uri" · default: "about:blank"
titlerequired- string
statusrequired- integerminimum: 100 · maximum: 599
detail- string
instance- string
errors- object
JSON Schema
{
"type": "object",
"properties": {
"type": {
"type": "string",
"format": "uri",
"default": "about:blank"
},
"title": {
"type": "string"
},
"status": {
"type": "integer",
"minimum": 100,
"maximum": 599
},
"detail": {
"type": "string"
},
"instance": {
"type": "string"
},
"errors": {
"type": "object",
"additionalProperties": {}
}
},
"required": [
"title",
"status"
]
}